OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
TolerancePruneOp< TreeT, TerminationLevel > Class Template Reference

`#include <Prune.h>`

## Public Types
using | ValueT = typename TreeT::ValueType
using | RootT = typename TreeT::RootNodeType
using | LeafT = typename TreeT::LeafNodeType

## Public Member Functions
| TolerancePruneOp (TreeT &tree, const ValueT &tol)
void | operator() (RootT &root) const
template<typename NodeT >
void | operator() (NodeT &node) const
void | operator() (LeafT &) const

## Member Typedef Documentation

## ◆ LeafT

using LeafT = typename TreeT::LeafNodeType

## ◆ RootT

using RootT = typename TreeT::RootNodeType

## ◆ ValueT

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ TolerancePruneOp()

TolerancePruneOp | ( | TreeT & | tree,
|  | const ValueT & | tol
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

void operator() | ( | LeafT & |  | ) | const
| inline

## ◆ operator()() [2/3]

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

void operator() | ( | RootT & | root | ) | const
| inline

The documentation for this class was generated from the following file:

- Prune.h